com.io7m.jtensors.storage.bytebuffered

## Interface TensorByteBufferedType

- All Known Subinterfaces:
    MatrixByteBuffered2x2Type, MatrixByteBuffered3x3Type, MatrixByteBuffered4x4Type, MatrixByteBufferedType, PMatrixByteBuffered2x2Type<A,B>, PMatrixByteBuffered3x3Type<A,B>, PMatrixByteBuffered4x4Type<A,B>, PVectorByteBufferedFloating2Type<T>, PVectorByteBufferedFloating3Type<T>, PVectorByteBufferedFloating4Type<T>, PVectorByteBufferedIntegral2Type<T>, PVectorByteBufferedIntegral3Type<T>, PVectorByteBufferedIntegral4Type<T>, VectorByteBufferedFloating2Type, VectorByteBufferedFloating3Type, VectorByteBufferedFloating4Type, VectorByteBufferedIntegral2Type, VectorByteBufferedIntegral3Type, VectorByteBufferedIntegral4Type, VectorByteBufferedType
  All Known Implementing Classes:
    MatrixByteBuffered2x2s16, MatrixByteBuffered2x2s32, MatrixByteBuffered2x2s64, MatrixByteBuffered3x3s16, MatrixByteBuffered3x3s32, MatrixByteBuffered3x3s64, MatrixByteBuffered4x4s16, MatrixByteBuffered4x4s32, MatrixByteBuffered4x4s64, PMatrixByteBuffered2x2s16, PMatrixByteBuffered2x2s32, PMatrixByteBuffered2x2s64, PMatrixByteBuffered3x3s16, PMatrixByteBuffered3x3s32, PMatrixByteBuffered3x3s64, PMatrixByteBuffered4x4s16, PMatrixByteBuffered4x4s32, PMatrixByteBuffered4x4s64, PVectorByteBufferedFloating2s16, PVectorByteBufferedFloating2s32, PVectorByteBufferedFloating2s64, PVectorByteBufferedFloating3s16, PVectorByteBufferedFloating3s32, PVectorByteBufferedFloating3s64, PVectorByteBufferedFloating4s16, PVectorByteBufferedFloating4s32, PVectorByteBufferedFloating4s64, PVectorByteBufferedIntegral2s16, PVectorByteBufferedIntegral2s32, PVectorByteBufferedIntegral2s64, PVectorByteBufferedIntegral2s8, PVectorByteBufferedIntegral3s16, PVectorByteBufferedIntegral3s32, PVectorByteBufferedIntegral3s64, PVectorByteBufferedIntegral3s8, PVectorByteBufferedIntegral4s16, PVectorByteBufferedIntegral4s32, PVectorByteBufferedIntegral4s64, PVectorByteBufferedIntegral4s8, VectorByteBufferedFloating2s16, VectorByteBufferedFloating2s32, VectorByteBufferedFloating2s64, VectorByteBufferedFloating3s16, VectorByteBufferedFloating3s32, VectorByteBufferedFloating3s64, VectorByteBufferedFloating4s16, VectorByteBufferedFloating4s32, VectorByteBufferedFloating4s64, VectorByteBufferedIntegral2s16, VectorByteBufferedIntegral2s32, VectorByteBufferedIntegral2s64, VectorByteBufferedIntegral2s8, VectorByteBufferedIntegral3s16, VectorByteBufferedIntegral3s32, VectorByteBufferedIntegral3s64, VectorByteBufferedIntegral3s8, VectorByteBufferedIntegral4s16, VectorByteBufferedIntegral4s32, VectorByteBufferedIntegral4s64, VectorByteBufferedIntegral4s8

      public interface TensorByteBufferedType

  The type of tensors backed by a byte buffer.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `byteBuffer()`
    `long` | `byteOffset()`
    `int` | `offset()`
    `int` | `sizeBytes()`

- - ### Method Detail

    - #### byteBuffer

          ByteBuffer byteBuffer()

      Returns:
        The byte buffer that backs the tensor

    - #### byteOffset

          long byteOffset()

      Returns:
        The byte offset of the current tensor

    - #### offset

          int offset()

      Returns:
        A constant offset added to `byteOffset()`.

    - #### sizeBytes

          int sizeBytes()

      Returns:
        The size of a single tensor in bytes

Copyright © 2017 <code@io7m.com> http://io7m.com